org.apache.sysds.common

## Enum Types.OpOpDnn

- java.lang.Object
- - java.lang.Enum<Types.OpOpDnn>
  - - org.apache.sysds.common.Types.OpOpDnn

- All Implemented Interfaces:
    Serializable, Comparable<Types.OpOpDnn>
  Enclosing class:
    Types

      public static enum Types.OpOpDnn
      extends Enum<Types.OpOpDnn>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVG_POOL`
    `AVG_POOL_BACKWARD`
    `BATCH_NORM2D_TEST`
    `BIASADD`
    `BIASMULT`
    `CHANNEL_SUMS`
    `CONV2D`
    `CONV2D_BACKWARD_DATA`
    `CONV2D_BACKWARD_FILTER`
    `CONV2D_BIAS_ADD`
    `MAX_POOL`
    `MAX_POOL_BACKWARD`
    `RELU_BACKWARD`
    `RELU_MAX_POOL`
    `RELU_MAX_POOL_BACKWARD`
    `UPDATE_NESTEROV_X`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Types.OpOpDnn` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Types.OpOpDnn[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAX_POOL

          public static final Types.OpOpDnn MAX_POOL

    - #### MAX_POOL_BACKWARD

          public static final Types.OpOpDnn MAX_POOL_BACKWARD

    - #### AVG_POOL

          public static final Types.OpOpDnn AVG_POOL

    - #### AVG_POOL_BACKWARD

          public static final Types.OpOpDnn AVG_POOL_BACKWARD

    - #### CONV2D

          public static final Types.OpOpDnn CONV2D

    - #### CONV2D_BACKWARD_FILTER

          public static final Types.OpOpDnn CONV2D_BACKWARD_FILTER

    - #### CONV2D_BACKWARD_DATA

          public static final Types.OpOpDnn CONV2D_BACKWARD_DATA

    - #### BIASADD

          public static final Types.OpOpDnn BIASADD

    - #### BIASMULT

          public static final Types.OpOpDnn BIASMULT

    - #### BATCH_NORM2D_TEST

          public static final Types.OpOpDnn BATCH_NORM2D_TEST

    - #### CHANNEL_SUMS

          public static final Types.OpOpDnn CHANNEL_SUMS

    - #### UPDATE_NESTEROV_X

          public static final Types.OpOpDnn UPDATE_NESTEROV_X

    - #### CONV2D_BIAS_ADD

          public static final Types.OpOpDnn CONV2D_BIAS_ADD

    - #### RELU_MAX_POOL

          public static final Types.OpOpDnn RELU_MAX_POOL

    - #### RELU_MAX_POOL_BACKWARD

          public static final Types.OpOpDnn RELU_MAX_POOL_BACKWARD

    - #### RELU_BACKWARD

          public static final Types.OpOpDnn RELU_BACKWARD

  - ### Method Detail

    - #### values

          public static Types.OpOpDnn[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Types.OpOpDnn c : Types.OpOpDnn.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Types.OpOpDnn valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 The Apache Software Foundation. All rights reserved.